%{?mingw_package_header}

Name:           mingw-SDL_mixer
Version:        1.2.12
Release:        %mkrel 11
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

License:        zlib
Group:          Development/Other
URL:            https://www.libsdl.org/projects/SDL_mixer/
Source0:        https://www.libsdl.org/projects/SDL_mixer/release/SDL_mixer-%{version}.tar.gz
# Fix incompatible pointer types
Patch0:         sdl-mixer-incompatible-pointer-types.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-SDL
BuildRequires:  mingw32-libvorbis

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-SDL
BuildRequires:  mingw64-libvorbis


%description
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.


# Win32
%package -n mingw32-SDL_mixer
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library
Requires:       pkgconfig

%description -n mingw32-SDL_mixer
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.

# Win64
%package -n mingw64-SDL_mixer
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library
Requires:       pkgconfig

%description -n mingw64-SDL_mixer
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.


# Automatically create a debuginfo package
%{?mingw_debug_package}


%prep
%autosetup -p1 -n SDL_mixer-%{version}


%build
%mingw_configure \
    --disable-music-flac \
    --disable-static

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-SDL_mixer
%doc README CHANGES COPYING
%{mingw32_bindir}/SDL_mixer.dll
%{mingw32_libdir}/libSDL_mixer.dll.a
%{mingw32_libdir}/pkgconfig/SDL_mixer.pc
%{mingw32_includedir}/SDL

# Win64
%files -n mingw64-SDL_mixer
%doc README CHANGES COPYING
%{mingw64_bindir}/SDL_mixer.dll
%{mingw64_libdir}/libSDL_mixer.dll.a
%{mingw64_libdir}/pkgconfig/SDL_mixer.pc
%{mingw64_includedir}/SDL




%changelog
* Wed Dec 25 2024 daviddavid <daviddavid> 1.2.12-11.mga10
+ Revision: 2129934
- Add sdl-mixer-incompatible-pointer-types.patch

* Fri Mar 25 2022 umeabot <umeabot> 1.2.12-10.mga9
+ Revision: 1826345
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.12-9.mga8
+ Revision: 1492096
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2.12-8.mga7
+ Revision: 1264441
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2.12-7.mga6
+ Revision: 944575
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.12-6.mga5
+ Revision: 748372
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-5.mga5
+ Revision: 682403
- Mageia 5 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.2.12-4.mga4
+ Revision: 483405
- imported package mingw-SDL_mixer


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 02 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.12-1
- Update to 1.2.12
- Upstream switched license from LGPLv2+ to zlib
- Removed rpath hacks as they are not relevant for the win32/win64 targets
- Removed configure arguments which are not relevant for the win32/win64 targets

* Sat Apr 14 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.11-8
- Added win64 support (contributed by Mikkel Kruse Johnsen)
- Use parallel make

* Fri Mar 09 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.11-7
- Dropped .la files

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 1.2.11-6
- Renamed the source package to mingw-SDL_mixer (#801027)
- Modernize the spec file
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.11-5
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 1.2.11-3
- Rebuilt against win-iconv

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 19 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.11-1
- Fix debuginfo package generation
- Fix defattr line

* Sat Sep 25 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.11-0
- New upstream version

* Wed Nov 25 2009 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.8-3
- Remove explicit requires: on mingw32-SDL
- Fix non-utf-8 file encoding
- Autogenerate debuginfo subpackage

* Thu Nov 11 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.8-2
- use macro global instead of define in this spec file
- description no longer (falsely) claims we have midi and .ogg support

* Thu Jun 18 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.8-1
- Initial RPM release.
